(function ($) {
  Drupal.behaviors.cookieConsentNotice = {
    attach: function (context) {
      let newDiv = document.createElement('div');

      let parentElement = '';
      let cookiesListItems = '';
      let cookiesClassItems = '';

      if ($('.cookieconsent-optin-preferences', context).length) {
        let translatablePreferences = Drupal.t('Preferences');
        cookiesListItems += '<li style="display: list-item;" class="cookieconsent-optout-preferences">' + translatablePreferences + '</li>';
        cookiesClassItems += 'cookieconsent-optout-preferences';
        parentElement = $('.cookieconsent-optin-preferences').parent();
      }
      if ($('.cookieconsent-optin-statistics', context).length) {
        let translatableStatistics = Drupal.t('Statistics');
        cookiesListItems += '<li style="display: list-item;" class="cookieconsent-optout-statistics">' + translatableStatistics + '</li>';
        //if other class items already exist then add a space
        if (cookiesClassItems !== '') {
          cookiesClassItems += ' ';
        }
        cookiesClassItems += 'cookieconsent-optout-statistics';
        parentElement = $('.cookieconsent-optin-statistics').parent();
      }
      if ($('.cookieconsent-optin-marketing', context).length) {
        let translatableMarketing = Drupal.t('Marketing');
        cookiesListItems += '<li style="display: list-item;" class="cookieconsent-optout-marketing">' + translatableMarketing + '</li>';
        //if other class items already exist then add a space
        if (cookiesClassItems !== '') {
          cookiesClassItems += ' ';
        }
        cookiesClassItems += 'cookieconsent-optout-marketing';
        parentElement = $('.cookieconsent-optin-marketing').parent();
      }

      newDiv.innerHTML = Drupal.t('To view this content, you need to <a href="@renewLink">accept the following cookies:</a>', {'@renewLink': 'javascript:CookieConsent.renew()'}) +
        '<ul>' + cookiesListItems + '</ul>';

      newDiv.className = cookiesClassItems;

      newDiv.id = 'cookie-consent-div';

      parentElement.append(newDiv);
    }
  };
})(jQuery);
